diff --git a/characters.lisp b/characters.lisp
index 5fa1aa5..4c1360e 100644
--- a/characters.lisp
+++ b/characters.lisp
@@ -117,7 +117,12 @@
   rod)
 
 (defun string-rod (string)
-  string)
+  (if (typep string '(simple-array character (*)))
+      string
+      ;; for simple-base-string's
+      (make-array (length string)
+                  :element-type 'character
+                  :initial-contents string)))
 
 ;;;;
 
diff --git a/utf8.lisp b/utf8.lisp
index 03e0dd2..7a9332c 100644
--- a/utf8.lisp
+++ b/utf8.lisp
@@ -18,7 +18,12 @@
   rod)
 
 (defun string-rod (string)
-  string)
+  (if (typep string '(simple-array character (*)))
+      string
+      ;; for simple-base-string's
+      (make-array (length string)
+                  :element-type 'character
+                  :initial-contents string)))
 
 (defun make-rod (size)
   (make-string size :element-type 'rune))
